// #autoload
// #name = multiFOV
// #version = 2.5.0
// #date = January 28, 2003
// #status = release
// #author = ilys
// #warrior = ilys
// #description = Changes FOV for each of the standard weapons, vehicles and turrets
// #category = ilys' Scripts
// #credits = Kaiten, Runar, Kirb
// #config = multiFOVOptions
// #include = support/callback.cs
// #include = support/loadout.cs
// #readme = scripts/autoexec/multifovreadme.txt

$multifov::Shrikegunfov = "90";

if(!isFile("prefs/multiFOVprefs.cs"))
	export("$multiFOV::*", "prefs/multiFOVprefs.cs", false);
exec("prefs/multiFOVprefs.cs");
exec("scripts/autoexec/multiFOVOptions.cs");

function ZoomMouseFire(%val)
{
	if(%val)
	{
		if($HudModeType $= "Shrike" && $multiFOV::ShrikeZoom && !$ZoomON)
		{
			$pref::Player::defaultFov = $multifov::ShrikeGunFOV;
			setFov($multiFOV::ShrikeGunFOV);
			$isChainFOV = 1;
		}
	}
	else
	{
		if($isChainFOV && $HudModeType $= "Shrike")
		{
			$pref::Player::defaultFov = $multifov::shrikepilotfov;
			setFov($multifov::shrikepilotfov);
			$isChainFOV = 0;
		}

	}
}

function ShrikeZoomToggle(%val)
{
	if(%val)
	{
		$multiFOV::ShrikeZoom = !$multiFOV::ShrikeZoom;

		if($multiFOV::ShrikeZoom)
			clientCmdBottomPrint("ShrikeZoom is now: On", 2, 1);
		else
			clientCmdBottomPrint("ShrikeZoom is now: Off", 2, 1);
	}
}

package multiFoV
{
	function mouseFire(%val)
	{
		parent::mouseFire(%val);

		ZoomMouseFire(%val);
	}

	function OptionsDlg::onWake(%this)
	{
		if(!$ZoomKeys)
		{
			$RemapName[$RemapCount]="ShrikeZoom Toggle";
			$RemapCmd[$RemapCount]="ShrikeZoomToggle";
			$RemapCount++;

			$ZoomKeys = 1;
		}

		parent::onWake(%this);
	}
};

activatePackage(multifov);

function wfSaveSettings()
{
	export("$multiFOV::*", "prefs/multiFOVprefs.cs", false);
}

function multiFOVOptions::onWake(%this)
{
	MFO_ZoomPane.setVisible(true);
	MFO_ZoomTab.setValue(true);
	MFO_shrikeZoomFOV.setValue($multiFOV::shrikegunFOV);

	%this.setPane(%this.pane);
}

function multiFOVOptions::setPane(%this, %pane)
{
	%paneCtrl = "MFO_" @ %this.pane @ "Pane";
	%paneCtrl.setVisible(false);
	%tabCtrl = "MFO_" @ %this.pane @ "Tab";
	%tabCtrl.setValue(false);
	%paneCtrl = "MFO_" @ %pane @ "Pane";
	%paneCtrl.setVisible(true);
	%tabCtrl = "MFO_" @ %pane @ "Tab";
	%tabCtrl.setValue(true);

	%this.pane = %pane;
}