new GuiControl(multiFOVOptions) {
	profile = "GuiDefaultProfile";
	horizSizing = "center";
	vertSizing = "center";
	position = "0 0";
	extent = "370 360";
	visible = "1";
	pane = "Zoom";
	new ShellBitmapButton() {
		profile = "ShellButtonProfile";
		position = "0 320";
		extent = "82 38";
		visible = "1";
		command = "wfSaveSettings();";
		text = "SAVE";
	};
	new ShellTabButton(MFO_ZoomTab) {
		profile = "ShellTabProfile";
		position = "0 135";
		extent = "108 38";
		visible = "1";
		command = "multiFOVOptions.setPane(Zoom);";
		text = "ZOOM";
	};
	new ShellTabFrame() {
		profile = "ShellTabFrameProfile";
		position = "108 0";
		extent = "242 360";
		visible = "1";
		isVertical = "1";
	};
	new ShellFieldCtrl(MFO_ZoomPane) {
		profile = "ShellFieldProfile";
		position = "119 11";
		extent = "230 337";
		visible = "0";
		new ShellToggleButton() {
			profile = "ShellRadioProfile";
			position = "5 285";
			extent = "220 20";
			visible = "1";
			variable = "$multiFOV::shrikeZoom";
			text = "Shrike Zoom on Fire";
		};
		new GuiTextCtrl() {
			profile = "GuiDefaultProfile";
			position = "10 315";
			extent = "100 20";
			visible = "1";
			text = "Shrike Zoom FoV";
		};
		new ShellSliderCtrl(MFO_shrikeZoomFOV) {
			profile = "ShellSliderProfile";
			position = "120 310";
			extent = "80 20";
			visible = "1";
			variable = "value";
			altCommand = "MFO_shrikeZoomFOVText.setValue($multiFOV::shrikegunFOV = mFloatLength(MFO_shrikeZoomFOV.value,0));";
			range = "4 120";
			ticks = "9999";
			usePlusMinus = "0";
		};
		new GuiTextCtrl(MFO_shrikeZoomFOVText) {
			profile = "GuiDefaultProfile";
			position = "202 315";
			extent = "30 20";
			visible = "1";
		};
	};
};
